import { y as defineEventHandler, b0 as useLogger, aa as getRouterParam, aE as readBody, U as User, v as createError, K as enqueueMail, aC as publicSettings } from '../../../nitro/nitro.mjs';
import { r as requireAdminSession } from '../../../_/session.mjs';
import 'luxon';
import '@sequelize/core';
import 'html-to-text';
import 'zod';
import 'crypto';
import 'node:fs';
import 'sharp';
import 'path';
import 'node:stream';
import 'jsdom';
import 'dompurify';
import 'mime-types';
import 'fs';
import 'fs/promises';
import 'linkify-html';
import '@peertube/http-signature';
import 'jsonld';
import 'lodash.intersection';
import 'email-templates';
import 'node:http';
import 'node:https';
import 'node:crypto';
import 'node:events';
import 'node:buffer';
import 'node:path';
import 'vue';
import 'vue-router';
import 'dotenv';
import 'url';
import 'bcryptjs';
import 'slugify';
import 'umzug';
import 'consola';
import '@sequelize/core/decorators-legacy';
import 'util';
import 'mitt';
import 'ical.js';
import 'node:url';
import 'fast-xml-parser';
import '../../../_/getUser.mjs';
import '../../../_/jwt.mjs';
import 'jose';

const _id__put = defineEventHandler(async (evt) => {
  await requireAdminSession(evt);
  const log = useLogger("user update");
  const id = getRouterParam(evt, "id");
  const body = await readBody(evt);
  const user = await User.findByPk(id);
  if (!user) {
    log.error("This user does not exist: ", id);
    throw createError({ status: 404, message: "This user does not exists" });
  }
  log.info(`Update user ${user.email} - ${JSON.stringify(body)}`);
  if (!user.is_active && body.is_active) {
    enqueueMail(user.email, "confirm", { user, config: publicSettings }, publicSettings.instance_locale);
  }
  return user.update(body);
});

export { _id__put as default };
